BuildProgramMenu (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class BuildProgramMenu

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.BuildProgramMenu

public class BuildProgramMenu
extends java.lang.Object

BuildProgramMenu class construct the program menus.

Author:
  T. J. Carver

Field Summary
`private java.util.Hashtable` | `acdStore` acd files cache
`private static java.util.Vector` | `codons` codons usage tables
`private static java.lang.String[]` | `db` database names
`private static java.util.Vector` | `matrices` matrices
`private AuthPopup` | `splashing`
`private SplashThread` | `splashThread`

Constructor Summary
`BuildProgramMenu(javax.swing.JPanel p1, ScrollPanel p2, javax.swing.JPanel pform, javax.swing.JScrollPane scrollProgForm, java.lang.String embossBin, java.lang.String[] envp, JembossParams mysettings, boolean withSoap, java.lang.String cwd, java.lang.String acdDirToParse, SetUpMenuBar mainMenu, javax.swing.JFrame f, java.awt.Dimension jform)`

Method Summary
`private java.lang.String` | `getAcdText(java.lang.String applName, java.lang.String acdDirToParse, JembossParams mysettings, boolean withSoap)` Get the contents of an ACD file in the form of a String.
`static java.util.Vector` | `getCodonUsage()`
`protected static java.lang.String[]` | `getDatabaseList()` List of available EMBOSS databases.
`static java.util.Vector` | `getMatrices()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### db

    private static java.lang.String[] db

  database names

### matrices

    private static java.util.Vector matrices

  matrices

### codons

    private static java.util.Vector codons

  codons usage tables

### acdStore

    private java.util.Hashtable acdStore

  acd files cache

### splashing

    private AuthPopup splashing

### splashThread

    private SplashThread splashThread

Constructor Detail

### BuildProgramMenu

    public BuildProgramMenu(javax.swing.JPanel p1,
                            ScrollPanel p2,
                            javax.swing.JPanel pform,
                            javax.swing.JScrollPane scrollProgForm,
                            java.lang.String embossBin,
                            java.lang.String[] envp,
                            JembossParams mysettings,
                            boolean withSoap,
                            java.lang.String cwd,
                            java.lang.String acdDirToParse,
                            SetUpMenuBar mainMenu,
                            javax.swing.JFrame f,
                            java.awt.Dimension jform)

Method Detail

### getDatabaseList

    protected static java.lang.String[] getDatabaseList()

  List of available EMBOSS databases.

  Returns:
    String[] list of databases

### getMatrices

    public static java.util.Vector getMatrices()

### getCodonUsage

    public static java.util.Vector getCodonUsage()

### getAcdText

    private java.lang.String getAcdText(java.lang.String applName,
                                        java.lang.String acdDirToParse,
                                        JembossParams mysettings,
                                        boolean withSoap)

  Get the contents of an ACD file in the form of a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD